org.apache.uima.fit.util

## Class FSCollectionFactory

- java.lang.Object
- - org.apache.uima.fit.util.FSCollectionFactory

-     public abstract class FSCollectionFactory
      extends Object

  Bridge between Java `Collections` from different representations of collections of UIMA `FeatureStructures`.

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends AnnotationFS> List<T>` | `create(AnnotationIndex<T> aIndex)` Deprecated. Use `index.select().asList()`
    `static <T extends FeatureStructure> List<T>` | `create(ArrayFS<T> aArray)` Convert an `ArrayFS` to a `Collection`.
    `static <T extends FeatureStructure> List<T>` | `create(ArrayFS<T> aArray, Type aType)` Fetch all annotations of the given type or its sub-types from the given FS array.
    `static <T extends TOP> List<T>` | `create(ArrayFS aArray, Class<T> aType)` Fetch all annotations of the given type or its sub-types from the given FS array.
    `static List<FeatureStructure>` | `create(CAS cas, Type type)` Deprecated. Use `cas.select(type).asList()`
    `static List<Float>` | `create(FloatList aList)`
    `static <T extends FeatureStructure> Collection<T>` | `create(FSIterator<T> aIterator)` Convert an `FSIterator` to a `Collection`.
    `static <T extends TOP> Collection<T>` | `create(FSList<T> aList)`
    `static <T extends TOP> Collection<T>` | `create(FSList<T> aList, Class<? extends T> aType)` Fetch all annotations of the given type or its sub-types from the given FS list.
    `static <T extends TOP> List<T>` | `create(FSList<T> aList, Type type)`
    `static List<Integer>` | `create(IntegerList aList)`
    `static List<String>` | `create(StringList aList)`
    `static <T extends FeatureStructure> ArrayFS<T>` | `createArrayFS(CAS aCas, Collection<T> aCollection)`
    `static <T extends FeatureStructure> ArrayFS<T>` | `createArrayFS(CAS aCas, T... aArray)`
    `static BooleanArray` | `createBooleanArray(JCas aJCas, boolean... aArray)`
    `static BooleanArray` | `createBooleanArray(JCas aJCas, Collection<Boolean> aCollection)`
    `static BooleanArrayFS` | `createBooleanArrayFS(CAS aCas, boolean... aArray)`
    `static BooleanArrayFS` | `createBooleanArrayFS(CAS aCas, Collection<Boolean> aCollection)`
    `static ByteArray` | `createByteArray(JCas aJCas, byte... aArray)`
    `static ByteArray` | `createByteArray(JCas aJCas, Collection<Byte> aCollection)`
    `static ByteArrayFS` | `createByteArrayFS(CAS aCas, byte... aArray)`
    `static ByteArrayFS` | `createByteArrayFS(CAS aCas, Collection<Byte> aCollection)`
    `static DoubleArray` | `createDoubleArray(JCas aJCas, Collection<Double> aCollection)`
    `static DoubleArray` | `createDoubleArray(JCas aJCas, double... aArray)`
    `static DoubleArrayFS` | `createDoubleArrayFS(CAS aCas, Collection<Double> aCollection)`
    `static DoubleArrayFS` | `createDoubleArrayFS(CAS aCas, double... aArray)`
    `static FloatArray` | `createFloatArray(JCas aJCas, Collection<Float> aCollection)`
    `static FloatArray` | `createFloatArray(JCas aJCas, float... aArray)`
    `static FloatArrayFS` | `createFloatArrayFS(CAS aCas, Collection<Float> aCollection)`
    `static FloatArrayFS` | `createFloatArrayFS(CAS aCas, float... aArray)`
    `static <T extends FeatureStructure> T` | `createFloatList(CAS aCas, Collection<Float> aValues)`
    `static <T extends FeatureStructure> T` | `createFloatList(CAS aCas, float... aValues)`
    `static FloatList` | `createFloatList(JCas aJCas, Collection<Float> aCollection)`
    `static FloatList` | `createFloatList(JCas aJCas, float... aValues)`
    `static <T extends FeatureStructure> FSArray<T>` | `createFSArray(JCas aJCas, Collection<T> aCollection)`
    `static <T extends FeatureStructure> FSArray<T>` | `createFSArray(JCas aJCas, T... aArray)`
    `static <T extends TOP> FSList<T>` | `createFSList(CAS aCas, Collection<T> aValues)`
    `static <T extends TOP> FSList<T>` | `createFSList(CAS aCas, T... aValues)`
    `static <T extends TOP> FSList<T>` | `createFSList(JCas aJCas, Collection<T> aCollection)`
    `static IntegerArray` | `createIntArray(JCas aJCas, Collection<Integer> aCollection)`
    `static IntegerArray` | `createIntArray(JCas aJCas, int... aArray)`
    `static IntArrayFS` | `createIntArrayFS(CAS aCas, Collection<Integer> aCollection)`
    `static IntArrayFS` | `createIntArrayFS(CAS aCas, int... aArray)`
    `static <T extends FeatureStructure> T` | `createIntegerList(CAS aCas, Collection<Integer> aValues)`
    `static <T extends FeatureStructure> T` | `createIntegerList(CAS aCas, int... aValues)`
    `static IntegerList` | `createIntegerList(JCas aJCas, Collection<Integer> aCollection)`
    `static IntegerList` | `createIntegerList(JCas aJCas, int... aValues)`
    `static LongArray` | `createLongArray(JCas aJCas, Collection<Long> aCollection)`
    `static LongArray` | `createLongArray(JCas aJCas, long... aArray)`
    `static LongArrayFS` | `createLongArrayFS(CAS aCas, Collection<Long> aCollection)`
    `static LongArrayFS` | `createLongArrayFS(CAS aCas, long... aArray)`
    `static ShortArray` | `createShortArray(JCas aJCas, Collection<Short> aCollection)`
    `static ShortArray` | `createShortArray(JCas aJCas, short... aArray)`
    `static ShortArrayFS` | `createShortArrayFS(CAS aCas, Collection<Short> aCollection)`
    `static ShortArrayFS` | `createShortArrayFS(CAS aCas, short... aArray)`
    `static StringArray` | `createStringArray(JCas aJCas, Collection<String> aCollection)`
    `static StringArray` | `createStringArray(JCas aJCas, String... aArray)`
    `static StringArrayFS` | `createStringArrayFS(CAS aCas, Collection<String> aCollection)`
    `static StringArrayFS` | `createStringArrayFS(CAS aCas, String... aArray)`
    `static <T extends FeatureStructure> T` | `createStringList(CAS aCas, Collection<String> aValues)`
    `static <T extends FeatureStructure> T` | `createStringList(CAS aCas, String... aValues)`
    `static StringList` | `createStringList(JCas aJCas, Collection<String> aCollection)`
    `static StringList` | `createStringList(JCas aJCas, String... aValues)`
    `static BooleanArray` | `fillArray(BooleanArray aArray, boolean... aValues)`
    `static BooleanArray` | `fillArray(BooleanArray aArray, Iterable<Boolean> aValues)`
    `static ByteArray` | `fillArray(ByteArray aArray, byte... aValues)`
    `static ByteArray` | `fillArray(ByteArray aArray, Iterable<Byte> aValues)`
    `static DoubleArray` | `fillArray(DoubleArray aArray, double... aValues)`
    `static DoubleArray` | `fillArray(DoubleArray aArray, Iterable<Double> aValues)`
    `static FloatArray` | `fillArray(FloatArray aArray, float... aValues)`
    `static FloatArray` | `fillArray(FloatArray aArray, Iterable<Float> aValues)`
    `static <T extends FeatureStructure> FSArray<T>` | `fillArray(FSArray<T> aArray, FeatureStructure... aValues)`
    `static <T extends FeatureStructure> FSArray<T>` | `fillArray(FSArray<T> aArray, Iterable<? extends T> aValues)`
    `static IntegerArray` | `fillArray(IntegerArray aArray, int... aValues)`
    `static IntegerArray` | `fillArray(IntegerArray aArray, Iterable<Integer> aValues)`
    `static LongArray` | `fillArray(LongArray aArray, Iterable<Long> aValues)`
    `static LongArray` | `fillArray(LongArray aArray, long... aValues)`
    `static ShortArray` | `fillArray(ShortArray aArray, Iterable<Short> aValues)`
    `static ShortArray` | `fillArray(ShortArray aArray, short... aValues)`
    `static StringArray` | `fillArray(StringArray aArray, Iterable<String> aValues)`
    `static StringArray` | `fillArray(StringArray aArray, String... aValues)`
    `static <T extends FeatureStructure> ArrayFS<T>` | `fillArrayFS(ArrayFS<T> aArrayFs, FeatureStructure... aArray)`
    `static <T extends FeatureStructure> ArrayFS<T>` | `fillArrayFS(ArrayFS<T> aArrayFs, Iterable<? extends T> aCollection)`
    `static BooleanArrayFS` | `fillArrayFS(BooleanArrayFS aArrayFs, boolean... aValues)`
    `static BooleanArrayFS` | `fillArrayFS(BooleanArrayFS aArrayFs, Iterable<Boolean> aValues)`
    `static ByteArrayFS` | `fillArrayFS(ByteArrayFS aArrayFs, byte... aValues)`
    `static ByteArrayFS` | `fillArrayFS(ByteArrayFS aArrayFs, Iterable<Byte> aValues)`
    `static DoubleArrayFS` | `fillArrayFS(DoubleArrayFS aArrayFs, double... aValues)`
    `static DoubleArrayFS` | `fillArrayFS(DoubleArrayFS aArrayFs, Iterable<Double> aValues)`
    `static FloatArrayFS` | `fillArrayFS(FloatArrayFS aArrayFs, float... aValues)`
    `static FloatArrayFS` | `fillArrayFS(FloatArrayFS aArrayFs, Iterable<Float> aValues)`
    `static IntArrayFS` | `fillArrayFS(IntArrayFS aArrayFs, int... aValues)`
    `static IntArrayFS` | `fillArrayFS(IntArrayFS aArrayFs, Iterable<Integer> aValues)`
    `static LongArrayFS` | `fillArrayFS(LongArrayFS aArrayFs, Iterable<Long> aValues)`
    `static LongArrayFS` | `fillArrayFS(LongArrayFS aArrayFs, long... aValues)`
    `static ShortArrayFS` | `fillArrayFS(ShortArrayFS aArrayFs, Iterable<Short> aValues)`
    `static ShortArrayFS` | `fillArrayFS(ShortArrayFS aArrayFs, short... aValues)`
    `static StringArrayFS` | `fillArrayFS(StringArrayFS aArrayFs, Iterable<String> aValues)`
    `static StringArrayFS` | `fillArrayFS(StringArrayFS aArrayFs, String... aValues)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          @Deprecated
          public static List<FeatureStructure> create(CAS cas,
                                                                  Type type)

      Deprecated. Use `cas.select(type).asList()`
      Create a `Collection` of the given type of feature structures. This collection is backed by the CAS, either via an `CAS.getAnnotationIndex(Type)` or `FSIndexRepository.getAllIndexedFS(Type)`.
      Parameters:
        `cas` - the CAS to select from.
        `type` - the type of feature structures to select. All sub-types are returned as well.
      Returns:
        a `Collection` of the given type of feature structures backed live by the CAS.
      See Also:
        Order of selected feature structures

    - #### create

          public static <T extends FeatureStructure> Collection<T> create(FSIterator<T> aIterator)

      Convert an `FSIterator` to a `Collection`.
      Type Parameters:
        `T` - the feature structure type
      Parameters:
        `aIterator` - the iterator to convert.
      Returns:
        the wrapped iterator.
      See Also:
        Order of selected feature structures

    - #### create

          @Deprecated
          public static <T extends AnnotationFS> List<T> create(AnnotationIndex<T> aIndex)

      Deprecated. Use `index.select().asList()`
      Convert an `AnnotationIndex` to a `Collection`.
      Type Parameters:
        `T` - the feature structure type
      Parameters:
        `aIndex` - the index to convert.
      Returns:
        the wrapped index.
      See Also:
        Order of selected feature structures

    - #### create

          public static <T extends FeatureStructure> List<T> create(ArrayFS<T> aArray)

      Convert an `ArrayFS` to a `Collection`.
      Parameters:
        `aArray` - the array to convert.
      Returns:
        a new collection containing the same feature structures as the provided array.
      See Also:
        Order of selected feature structures

    - #### create

          public static <T extends TOP> List<T> create(ArrayFS aArray,
                                                       Class<T> aType)

      Fetch all annotations of the given type or its sub-types from the given FS array.
      Type Parameters:
        `T` - the JCas type.
      Parameters:
        `aArray` - the FS array
        `aType` - the JCas wrapper class.
      Returns:
        a new collection of all feature structures of the given type.

    - #### create

          public static <T extends FeatureStructure> List<T> create(ArrayFS<T> aArray,
                                                                    Type aType)

      Fetch all annotations of the given type or its sub-types from the given FS array.
      Parameters:
        `aArray` - the FS array
        `aType` - the CAS type.
      Returns:
        a new collection of all feature structures of the given type.

    - #### createArrayFS

          public static <T extends FeatureStructure> ArrayFS<T> createArrayFS(CAS aCas,
                                                                              Collection<T> aCollection)

    - #### createArrayFS

          public static <T extends FeatureStructure> ArrayFS<T> createArrayFS(CAS aCas,
                                                                              T... aArray)

    - #### createFSArray

          public static <T extends FeatureStructure> FSArray<T> createFSArray(JCas aJCas,
                                                                              Collection<T> aCollection)

    - #### createFSArray

          public static <T extends FeatureStructure> FSArray<T> createFSArray(JCas aJCas,
                                                                              T... aArray)

    - #### createBooleanArrayFS

          public static BooleanArrayFS createBooleanArrayFS(CAS aCas,
                                                            Collection<Boolean> aCollection)

    - #### createBooleanArrayFS

          public static BooleanArrayFS createBooleanArrayFS(CAS aCas,
                                                            boolean... aArray)

    - #### createBooleanArray

          public static BooleanArray createBooleanArray(JCas aJCas,
                                                        Collection<Boolean> aCollection)

    - #### createBooleanArray

          public static BooleanArray createBooleanArray(JCas aJCas,
                                                        boolean... aArray)

    - #### createByteArrayFS

          public static ByteArrayFS createByteArrayFS(CAS aCas,
                                                      Collection<Byte> aCollection)

    - #### createByteArrayFS

          public static ByteArrayFS createByteArrayFS(CAS aCas,
                                                      byte... aArray)

    - #### createByteArray

          public static ByteArray createByteArray(JCas aJCas,
                                                  Collection<Byte> aCollection)

    - #### createByteArray

          public static ByteArray createByteArray(JCas aJCas,
                                                  byte... aArray)

    - #### createDoubleArrayFS

          public static DoubleArrayFS createDoubleArrayFS(CAS aCas,
                                                          Collection<Double> aCollection)

    - #### createDoubleArrayFS

          public static DoubleArrayFS createDoubleArrayFS(CAS aCas,
                                                          double... aArray)

    - #### createDoubleArray

          public static DoubleArray createDoubleArray(JCas aJCas,
                                                      Collection<Double> aCollection)

    - #### createDoubleArray

          public static DoubleArray createDoubleArray(JCas aJCas,
                                                      double... aArray)

    - #### createFloatArrayFS

          public static FloatArrayFS createFloatArrayFS(CAS aCas,
                                                        Collection<Float> aCollection)

    - #### createFloatArrayFS

          public static FloatArrayFS createFloatArrayFS(CAS aCas,
                                                        float... aArray)

    - #### createFloatArray

          public static FloatArray createFloatArray(JCas aJCas,
                                                    Collection<Float> aCollection)

    - #### createFloatArray

          public static FloatArray createFloatArray(JCas aJCas,
                                                    float... aArray)

    - #### createIntArrayFS

          public static IntArrayFS createIntArrayFS(CAS aCas,
                                                    Collection<Integer> aCollection)

    - #### createIntArrayFS

          public static IntArrayFS createIntArrayFS(CAS aCas,
                                                    int... aArray)

    - #### createIntArray

          public static IntegerArray createIntArray(JCas aJCas,
                                                    Collection<Integer> aCollection)

    - #### createIntArray

          public static IntegerArray createIntArray(JCas aJCas,
                                                    int... aArray)

    - #### createLongArrayFS

          public static LongArrayFS createLongArrayFS(CAS aCas,
                                                      Collection<Long> aCollection)

    - #### createLongArrayFS

          public static LongArrayFS createLongArrayFS(CAS aCas,
                                                      long... aArray)

    - #### createLongArray

          public static LongArray createLongArray(JCas aJCas,
                                                  Collection<Long> aCollection)

    - #### createLongArray

          public static LongArray createLongArray(JCas aJCas,
                                                  long... aArray)

    - #### createShortArrayFS

          public static ShortArrayFS createShortArrayFS(CAS aCas,
                                                        Collection<Short> aCollection)

    - #### createShortArrayFS

          public static ShortArrayFS createShortArrayFS(CAS aCas,
                                                        short... aArray)

    - #### createShortArray

          public static ShortArray createShortArray(JCas aJCas,
                                                    Collection<Short> aCollection)

    - #### createShortArray

          public static ShortArray createShortArray(JCas aJCas,
                                                    short... aArray)

    - #### createStringArrayFS

          public static StringArrayFS createStringArrayFS(CAS aCas,
                                                          Collection<String> aCollection)

    - #### createStringArrayFS

          public static StringArrayFS createStringArrayFS(CAS aCas,
                                                          String... aArray)

    - #### createStringArray

          public static StringArray createStringArray(JCas aJCas,
                                                      Collection<String> aCollection)

    - #### createStringArray

          public static StringArray createStringArray(JCas aJCas,
                                                      String... aArray)

    - #### fillArray

          public static <T extends FeatureStructure> FSArray<T> fillArray(FSArray<T> aArray,
                                                                          Iterable<? extends T> aValues)

    - #### fillArray

          public static <T extends FeatureStructure> FSArray<T> fillArray(FSArray<T> aArray,
                                                                          FeatureStructure... aValues)

    - #### fillArrayFS

          public static <T extends FeatureStructure> ArrayFS<T> fillArrayFS(ArrayFS<T> aArrayFs,
                                                                            Iterable<? extends T> aCollection)

    - #### fillArrayFS

          public static <T extends FeatureStructure> ArrayFS<T> fillArrayFS(ArrayFS<T> aArrayFs,
                                                                            FeatureStructure... aArray)

    - #### fillArray

          public static BooleanArray fillArray(BooleanArray aArray,
                                               Iterable<Boolean> aValues)

    - #### fillArray

          public static BooleanArray fillArray(BooleanArray aArray,
                                               boolean... aValues)

    - #### fillArrayFS

          public static BooleanArrayFS fillArrayFS(BooleanArrayFS aArrayFs,
                                                   Iterable<Boolean> aValues)

    - #### fillArrayFS

          public static BooleanArrayFS fillArrayFS(BooleanArrayFS aArrayFs,
                                                   boolean... aValues)

    - #### fillArray

          public static ByteArray fillArray(ByteArray aArray,
                                            Iterable<Byte> aValues)

    - #### fillArray

          public static ByteArray fillArray(ByteArray aArray,
                                            byte... aValues)

    - #### fillArrayFS

          public static ByteArrayFS fillArrayFS(ByteArrayFS aArrayFs,
                                                Iterable<Byte> aValues)

    - #### fillArrayFS

          public static ByteArrayFS fillArrayFS(ByteArrayFS aArrayFs,
                                                byte... aValues)

    - #### fillArray

          public static DoubleArray fillArray(DoubleArray aArray,
                                              Iterable<Double> aValues)

    - #### fillArray

          public static DoubleArray fillArray(DoubleArray aArray,
                                              double... aValues)

    - #### fillArrayFS

          public static DoubleArrayFS fillArrayFS(DoubleArrayFS aArrayFs,
                                                  Iterable<Double> aValues)

    - #### fillArrayFS

          public static DoubleArrayFS fillArrayFS(DoubleArrayFS aArrayFs,
                                                  double... aValues)

    - #### fillArray

          public static FloatArray fillArray(FloatArray aArray,
                                             Iterable<Float> aValues)

    - #### fillArray

          public static FloatArray fillArray(FloatArray aArray,
                                             float... aValues)

    - #### fillArrayFS

          public static FloatArrayFS fillArrayFS(FloatArrayFS aArrayFs,
                                                 Iterable<Float> aValues)

    - #### fillArrayFS

          public static FloatArrayFS fillArrayFS(FloatArrayFS aArrayFs,
                                                 float... aValues)

    - #### fillArray

          public static IntegerArray fillArray(IntegerArray aArray,
                                               Iterable<Integer> aValues)

    - #### fillArray

          public static IntegerArray fillArray(IntegerArray aArray,
                                               int... aValues)

    - #### fillArrayFS

          public static IntArrayFS fillArrayFS(IntArrayFS aArrayFs,
                                               Iterable<Integer> aValues)

    - #### fillArrayFS

          public static IntArrayFS fillArrayFS(IntArrayFS aArrayFs,
                                               int... aValues)

    - #### fillArray

          public static LongArray fillArray(LongArray aArray,
                                            Iterable<Long> aValues)

    - #### fillArray

          public static LongArray fillArray(LongArray aArray,
                                            long... aValues)

    - #### fillArrayFS

          public static LongArrayFS fillArrayFS(LongArrayFS aArrayFs,
                                                Iterable<Long> aValues)

    - #### fillArrayFS

          public static LongArrayFS fillArrayFS(LongArrayFS aArrayFs,
                                                long... aValues)

    - #### fillArray

          public static ShortArray fillArray(ShortArray aArray,
                                             Iterable<Short> aValues)

    - #### fillArray

          public static ShortArray fillArray(ShortArray aArray,
                                             short... aValues)

    - #### fillArrayFS

          public static ShortArrayFS fillArrayFS(ShortArrayFS aArrayFs,
                                                 Iterable<Short> aValues)

    - #### fillArrayFS

          public static ShortArrayFS fillArrayFS(ShortArrayFS aArrayFs,
                                                 short... aValues)

    - #### fillArray

          public static StringArray fillArray(StringArray aArray,
                                              Iterable<String> aValues)

    - #### fillArray

          public static StringArray fillArray(StringArray aArray,
                                              String... aValues)

    - #### fillArrayFS

          public static StringArrayFS fillArrayFS(StringArrayFS aArrayFs,
                                                  Iterable<String> aValues)

    - #### fillArrayFS

          public static StringArrayFS fillArrayFS(StringArrayFS aArrayFs,
                                                  String... aValues)

    - #### create

          public static <T extends TOP> Collection<T> create(FSList<T> aList)

    - #### create

          public static <T extends TOP> Collection<T> create(FSList<T> aList,
                                                             Class<? extends T> aType)

      Fetch all annotations of the given type or its sub-types from the given FS list.
      Type Parameters:
        `T` - the JCas type.
      Parameters:
        `aList` - the FS list
        `aType` - the JCas wrapper class.
      Returns:
        a new collection of all feature structures of the given type.

    - #### create

          public static <T extends TOP> List<T> create(FSList<T> aList,
                                                       Type type)

    - #### create

          public static List<String> create(StringList aList)

    - #### create

          public static List<Integer> create(IntegerList aList)

    - #### create

          public static List<Float> create(FloatList aList)

    - #### createFSList

          public static <T extends TOP> FSList<T> createFSList(JCas aJCas,
                                                               Collection<T> aCollection)

    - #### createFSList

          public static <T extends TOP> FSList<T> createFSList(CAS aCas,
                                                               T... aValues)

    - #### createFSList

          public static <T extends TOP> FSList<T> createFSList(CAS aCas,
                                                               Collection<T> aValues)

    - #### createFloatList

          public static FloatList createFloatList(JCas aJCas,
                                                  float... aValues)

    - #### createFloatList

          public static <T extends FeatureStructure> T createFloatList(CAS aCas,
                                                                       float... aValues)

    - #### createFloatList

          public static <T extends FeatureStructure> T createFloatList(CAS aCas,
                                                                       Collection<Float> aValues)

    - #### createFloatList

          public static FloatList createFloatList(JCas aJCas,
                                                  Collection<Float> aCollection)

    - #### createIntegerList

          public static IntegerList createIntegerList(JCas aJCas,
                                                      int... aValues)

    - #### createIntegerList

          public static <T extends FeatureStructure> T createIntegerList(CAS aCas,
                                                                         int... aValues)

    - #### createIntegerList

          public static <T extends FeatureStructure> T createIntegerList(CAS aCas,
                                                                         Collection<Integer> aValues)

    - #### createIntegerList

          public static IntegerList createIntegerList(JCas aJCas,
                                                      Collection<Integer> aCollection)

    - #### createStringList

          public static StringList createStringList(JCas aJCas,
                                                    String... aValues)

    - #### createStringList

          public static <T extends FeatureStructure> T createStringList(CAS aCas,
                                                                        String... aValues)

    - #### createStringList

          public static <T extends FeatureStructure> T createStringList(CAS aCas,
                                                                        Collection<String> aValues)

    - #### createStringList

          public static StringList createStringList(JCas aJCas,
                                                    Collection<String> aCollection)

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.